summaryrefslogtreecommitdiff
path: root/contrib/get-cryptominisat
diff options
context:
space:
mode:
authorMathias Preiner <mathias.preiner@gmail.com>2018-03-13 15:47:34 -0700
committerGitHub <noreply@github.com>2018-03-13 15:47:34 -0700
commit36512d36ad34d43277443dcbfabf02baa5ad63b4 (patch)
treecbb661bab9318f036c032d85c652997701775be0 /contrib/get-cryptominisat
parent10f091e4fc23f80c884520ff484cacb125b45172 (diff)
Use Cryptominisat version 5.0.2 (instead of 4.2.0). (#1664)
Diffstat (limited to 'contrib/get-cryptominisat')
-rwxr-xr-xcontrib/get-cryptominisat36
1 files changed, 36 insertions, 0 deletions
diff --git a/contrib/get-cryptominisat b/contrib/get-cryptominisat
new file mode 100755
index 000000000..a7a15520c
--- /dev/null
+++ b/contrib/get-cryptominisat
@@ -0,0 +1,36 @@
+#!/bin/bash
+#
+source "$(dirname "$0")/get-script-header.sh"
+
+if [ -e cryptominisat5 ]; then
+ echo 'error: file or directory "cryptominisat5" exists; please move it out of the way.' >&2
+ exit 1
+fi
+
+version="5.0.2"
+
+mkdir cryptominisat5
+cd cryptominisat5
+CRYPTOMINISAT_PATH=`pwd`
+
+webget https://github.com/msoos/cryptominisat/archive/$version.tar.gz cryptominisat-$version.tar.gz
+gunzip -f cryptominisat-$version.tar.gz
+tar xfv cryptominisat-$version.tar
+cd cryptominisat-$version
+
+mkdir ../build
+cd ../build
+
+cmake -DENABLE_PYTHON_INTERFACE=OFF \
+ -DCMAKE_INSTALL_PREFIX:PATH=$CRYPTOMINISAT_PATH/install \
+ -DSTATICCOMPILE=ON \
+ -DNOM4RI=ON \
+ ../cryptominisat-$version
+
+make install -j$(nproc)
+
+cd ../
+
+echo
+echo ===================== Now configure CVC4 with =====================
+echo ./configure --with-cryptominisat
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback